Rule (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class Rule

- java.lang.Object
- - javafx.css.Rule

-     public final class Rule
      extends Object

  A Rule is a collection of CSS `Selector`s and `Declaration`s.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObservableList<Declaration>` | `getDeclarations()` | This method is to support tooling that may want to add declarations to or remove declarations from a Rule.
    `StyleOrigin` | `getOrigin()` | Get the `StyleOrigin` of this `Stylesheet`.
    `ObservableList<Selector>` | `getSelectors()` | This method is to support tooling that may want to add selectors to or remove selectors from a Rule.
    `Stylesheet` | `getStylesheet()` | Gets the `Stylesheet` this `Rule` belongs to.
    `String` | `toString()` | Converts this object to a `String`.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDeclarations

          public final ObservableList<Declaration> getDeclarations()

      This method is to support tooling that may want to add declarations to or remove declarations from a Rule. Changes to the list are tracked so that added declarations are tagged as belonging to this rule, and the rule for removed declarations is nulled out.
      Returns:
        a observable list of declarations

    - #### getSelectors

          public final ObservableList<Selector> getSelectors()

      This method is to support tooling that may want to add selectors to or remove selectors from a Rule. Changes to the list are tracked so that added selectors are tagged as belonging to this rule, and the rule for removed selectors is nulled out.
      Returns:
        an observable list of selectors

    - #### getStylesheet

          public Stylesheet getStylesheet()

      Gets the `Stylesheet` this `Rule` belongs to.
      Returns:
        the stylesheet

    - #### getOrigin

          public StyleOrigin getOrigin()

      Get the `StyleOrigin` of this `Stylesheet`.
      Returns:
        the origin of the stylesheet

    - #### toString

          public String toString()

      Converts this object to a `String`.
      Overrides:
        `toString` in class `Object`
      Returns:
        the converted `String`